Commit 63d083bb authored by catch's avatar catch

Issue #1355798 by Kjartan, xjm: Fixed Installer on PHP <5.3 results in parse...

Issue #1355798 by Kjartan, xjm: Fixed Installer on PHP <5.3 results in parse error instead of warning about old php.
parent e4bf86c1
......@@ -15,8 +15,12 @@
/**
* Global flag to indicate that site is in installation mode.
*
* This constant is defined using define() instead of const so that PHP
* versions older than 5.3 can display the proper PHP requirements instead of
* causing a fatal error.
*/
const MAINTENANCE_MODE = 'install';
define('MAINTENANCE_MODE', 'install');
// Exit early if running an incompatible PHP version to avoid fatal errors.
// The minimum version is specified explicitly, as DRUPAL_MINIMUM_PHP is not
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment